EUCA-GET-PASSWORD-DATA(1)

NAME
euca-get-password-data - Retrieve the encrypted administrator password for an instance running Windows. The encrypted password may be decrypted using the private key of the key pair given when launching the instance.

SYNOPSIS
euca-get-password-data [--show-empty-fields] [--region USER@REGION | -U URL] [-I KEY_ID] [-S KEY] [--debug] [--debugger] [--version] [-h] INSTANCE

DESCRIPTION
Retrieve the encrypted administrator password for an instance running Windows. The encrypted password may be decrypted using the private key of the key pair given when launching the instance.

  positional arguments:

INSTANCE
    ID of the instance to obtain the initial password for (required)

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

--region USER@REGION
    name of the region and/or user in config files to use to connect to the service

-U URL, --url URL
    compute service endpoint URL

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit